﻿$ErrorActionPreference = 'Stop'; 
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"


$url        = 'https://1cfresh.com/downloads/platform/setuptc_' + $env:ChocolateyPackageVersion + '.exe' 
$url64        = 'https://1cfresh.com/downloads/platform/setuptc_' + $env:ChocolateyPackageVersion + '_x86-64.exe' 

$packageZipArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir + '/setup'
  url           = $url
  url64bit		= $url64
  validExitCodes= @(0, 3010, 1641)
  Checksum = '1EB5D310814D60228D561608B3356A675D0DDB9B7ADD609DE9481AD028224F1D'
  ChecksumType = 'sha256'
  Checksum64 = '622DB6EFD77DB5B3E54CA2CAC5DEC266BAADA89088AC1FD0E64C4156503F6AE9'
  ChecksumType64 = 'sha256'
}


$packageMSIArgs = @{
  packageName   = $env:ChocolateyPackageName
  fileType      = 'MSI' 
  softwareName  = '1c*' 

    file64		  = $toolsDir + '\setup\1CEnterprise 8 Thin client (x86-64).msi'
    file          = $toolsDir + '\setup\1CEnterprise 8 Thin client.msi'
    silentArgs    = "/qn DESIGNERALLCLIENTS=1 THICKCLIENT=1 THINCLIENTFILE=1 THINCLIENT=1 WEBSERVEREXT=0 SERVER=0 CONFREPOSSERVER=0 CONVERTER77=0 SERVERCLIENT=0 LANGUAGES=RU"
  validExitCodes= @(0, 3010, 1641)
}

Write-Output "install 1с"
Install-ChocolateyZipPackage @packageZipArgs
Install-ChocolateyInstallPackage @packageMSIArgs
Remove-Item -LiteralPath $toolsDir'\setup' -Force -Recurse